API keys are used for recorder upload scripts and downstream instances. Each of them must authenticate with an API key to exchange audio files.

@if (!apikeys.length) {

No defined API keys

} @for (apikey of apikeys; track apikey; let i = $index) { drag_indicator {{ apikey.value.ident || 'NewApikey' }} @if (apikey.invalid) { error }

Disabled
Disable the API key.

Key
Api key.

@if (apikey.get('key')!.hasError('duplicate')) { Key is already defined } @if (apikey.get('key')!.hasError('required')) { Key is required }

Ident
Dummy identifier which serves only to identify this API key is for whom.

@if (apikey.get('ident')!.hasError('required')) { Ident is required }

Access
This API key allows access to @if (apikey.value.systems === '*') { all } @if (apikey.value.systems !== '*') { some } systems and talkgroups.

}